Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.io
Class ClassFileWriter

    java.lang.Object
      org.gjt.jclasslib.io.ClassFileWriter

public class ClassFileWriter
extends Object

Converts class file structure `ClassFile` as defined in `org.gjt.jclasslib.structures` to class files.

Version:
  $Revision: 1.4 $ $Date: 2003/08/18 07:58:12 $
Author:
  Ingo Kegel

Method Summary
`static void` | `writeToFile(File file, ClassFile classFile)` Converts `ClassFile` structure to a a class file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeToFile

    public static void writeToFile(File file,
                                   ClassFile classFile)
                            throws InvalidByteCodeException,
                                   IOException

  Converts `ClassFile` structure to a a class file.

  Parameters:
    `file` - the file to which to write the `ClassFile` structure
    `classFile` - the `ClassFile` structure to be written
  Throws:
    `InvalidByteCodeException` - if the code is invalid
    `IOException` - if an exception occurs while reading the file

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD